*Purpose: Create formats for pls_ae_pud18i;


proc format lib=work;
value $YESNO
'Y'	=	'Y-Yes'
'N'	=	'N-No'
;
value $MISSMF
'M'	=	'Missing'
;
value $PHONF
'-4'	=	'Not applicable'
;
value $CRELF
'HQ'	=	'HQ-Headquarters of a federation or cooperative'
'ME'	=	'ME-Member of a federation or cooperative'
'NO'	=	'NO-Not a member of a federation or cooperative'
;
value $CLEGF
'CC'	=	'CC-City/County'
'CI'	=	'CI-Municipal Government (city, town, or village)'
'CO'	=	'CO-County/Parish'
'LD'	=	'LD-Library District'
'MJ'	=	'MJ-Multi-jurisdictional'
'NL'	=	'NL-Native American Tribal Government'
'NP'	=	'NP-Non-profit Association or Agency'
'SD'	=	'SD-School District'
'OT'	=	'OT-Other'
;
value $CADMF
'MA'	=	'MA-Administrative Entity with multiple direct service outlets where administrative offices are separate'
'MO'	=	'MO-Administrative Entity with multiple direct service outlets where administrative offices are not separate'
'SO'	=	'SO-Single Outlet Administrative Entity'
;
value $GEOF
'CI1'	=	'CI1-Municipal Government (city, town, or village) (exactly)'
'CI2'	=	'CI2-Municipal Government (city, town, or village) (most nearly)'
'CO1'	=	'CO1-County/Parish (exactly)'
'CO2'	=	'CO2-County/Parish (most nearly)'
'MA1'	=	'MA1-Metropolitan Area (exactly)'
'MA2'	=	'MA2-Metropolitan Area (most nearly)'
'MC1'	=	'MC1-Multi-County (exactly)'
'MC2'	=	'MC2-Multi-County (most nearly)'
'SD1'	=	'SD1-School District (exactly)'
'SD2'	=	'SD2-School District (most nearly)'
'OTH'	=	'OTH-Other'
;
value $OBERGF
'01'	=	'01-New England (CT ME MA NH RI VT)'
'02'	=	'02-Mid East (DE DC MD NJ NY PA)'
'03'	=	'03-Great Lakes (IL IN MI OH WI)'
'04'	=	'04-Plains (IA KS MN MO NE ND SD)'
'05'	=	'05-Southeast (AL AR FL GA KY LA MS NC SC TN VA WV)'
'06'	=	'06-Southwest (AZ NM OK TX)'
'07'	=	'07-Rocky Mountains (CO ID MT UT WY)'
'08'	=	'08-Far West (AK CA HI NV OR WA)'
'09'	=	'09-Outlying Areas (AS GU MP PR VI)'
;
value $RSTATF
'1'	=	'1-Respondent, with no imputed data '
'2'	=	'2-Respondent, with both reported and imputed data '
'3'	=	'3-Nonrespondent, not imputed '
'4'	=	'4-Nonrespondent with imputed data '
;
value $STATSF
'00'	=	'00-No change from last year'
'01'	=	'01-Existing Administrative Entity or Outlet absorbs another Administrative Entity or Outlet'
'02'	=	'02-Newly created Administrative Entity or Outlet'
'03'	=	'03-Closed'
'04'	=	'04-Move Outlet to a newly created Administrative Entity'
'05'	=	'05-Merge two or more Administrative Entities or Outlets to form a new Administrative Entity or Outlet'
'08'	=	'08-Restored a closed Administrative Entity or Outlet record'
'09'	=	'09-Restored an incorrectly deleted Administrative Entity or Outlet'
'10'	=	'10-Delete an incorrect record'
'11'	=	'11-Outlet moved to a different previously existing Administrative Entity'
'13'	=	'13-Add an existing Administrative Entity or Outlet not previously reported'
'22'	=	'22-Future Administrative Entity FSCS ID Request'
'23'	=	'23-Temporary Closure'
'24'	=	'24-Restore/Undo Was a 23 (Reopen a Temporarily Closed Administrative Entity)'
;
value $STATNF
'00'	=	'00-No change from last year'
'06'	=	'06-Official name change'
'14'	=	'14-Minor name change'
;
value $STATAF
'00'	=	'00-No change from last year'
'07'	=	'07-Moved to a new location'
'15'	=	'15-Minor address change'
;
value $LOCALF
'M'		=	'Missing'
'11'	=	'11-City, Large'
'12'	=	'12-City, Mid-size'
'13'	=	'13-City, Small'
'21'	=	'21-Suburb, Large'
'22'	=	'22-Suburb, Mid-size'
'23'	=	'23-Suburb, Small'
'31'	=	'31-Town, Fringe'
'32'	=	'32-Town, Distant'
'33'	=	'33-Town, Remote'
'41'	=	'41-Rural, Fringe'
'42'	=	'42-Rural, Distant'
'43'	=	'43-Rural, Remote'
;
value $REAPLOCF
'M'		=	'Missing'
'01'	=	'01-Large City'
'02'	=	'02-Mid-size city'
'03'	=	'03-Urban Fringe of a Large City'
'04'	=	'04-Urban Fringe of a Mid-size City'
'05'	=	'05-Large town'
'06'	=	'06-Small town'
'07'	=	'07-Rural, Outside Metropolitan Area'
'08'	=	'08-Rural, Inside Metropolitan Area'
;
value LONF
other	=   [13.7]
;
value LATF
other	=   [11.7]
;
value $MICMETF
'N'	=	'Not applicable'
'0'	=	'0-Micropolitan area'
'1'	=	'1-Metropolitan area'
;
value MISS1F
-1	=	'-1-Missing'
;
value MISS3F
-1	=	'-1-Missing'
-3	=	'-3-Closed or temporarily closed administrative entity'
-9  =   '-9-Data were suppressed for analytic purposes'
;
value CENF
-1	=	'-1-Missing'
-4  = 	'-4-Not applicable'
;
value STFF
-1	=	'-1-Missing'
-3	=	'-3-Closed or temporarily closed administrative entity'
other = [9.2]
;
value TOTSTFF
-1	=	'-1-Missing'
-3	=	'-3-Closed or temporarily closed administrative entity'
other = [10.2]
;
value $DATF
'-3'	=	'Closed or temporarily closed administrative entity'
;
value SUPF
-1	=	'-1-Missing'
-3	=	'-3-Closed or temporarily closed administrative entity'
-9  =	'-9-Data suppressed to protect confidentiality'
;
value $IMPF
'R_18'	=	'R_18-Data were reported and not imputed'
'IG15'	=	'IG15-Prior year data multiplied by cell mean growth rate'
'IG14'	=	'IG14-Prior year data multiplied by cell mean growth rate'
'IG17'	=	'IG17-Prior year data multiplied by cell mean growth rate'
'IG16'	=	'IG16-Prior year data multiplied by cell mean growth rate'
'IQ18'	=	'IQ18-Adjusted cell mean'
'IJ18'	=	'IJ18-Unadjusted cell mean'
'IK15'	=	'IK15-Prior year ratio to another item'
'IK14'	=	'IK14-Prior year ratio to another item'
'IK17'	=	'IK17-Prior year ratio to another item'
'IK16'	=	'IK16-Prior year ratio to another item'
'ID18'	=	'ID18-Cell median ratio to another item'
'IP15'	=	'IP15-Data carried forward'
'IP14'	=	'IP14-Data carried forward'
'IP17'	=	'IP17-Data carried forward'
'IP16'	=	'IP16-Data carried forward'
'IM18'	=	'IM18-Unadjusted cell median'
'IT18'	=	'IT18-Total to detail items'
'IB18'	=	'IB18-Raking of detail items to match totals'
'IS18'	=	'IS18-Special imputation procedures'
'IY18'	=	'IY18-Consistency check derived value'
'U_18'	=	'U_18-Not imputed (i.e., outlying area or closed/temp closed)'
'E_18'	=	'E_18-Data were reported and edited for logical consistency'
'H_18'	=	'H_18-Data were suppressed'
'L_18'  =   'L_18Data were suppressed for analytic purposes'
;
value $GEOMF
'5' = '5-Match at the ZIP5 centroid level of precision'
'9' = '9-Match at the ZIP4 centroid level of precision'
'A' = 'A-Match at the street address level of precision'
;
run;
